# List Product Features

**URL** : `/api/v1/product-features/`

**Method** : `GET`

#### Query parameters

**Pagination**

Default pagination is 20 results per page.

* `limit` - Number of results to return per page.
  * Example: `limit=20`
* `offset` - The initial index from which to return the results.
  * Example: `offset=21`

**Filtering**

The results can be filtered by various attributes on product custom field or related to the product custom field.

Possible filters:

* `product`

#### Success Response

**Code** : `200 OK`

**Content examples** :

```json
{
    "count": 2,
    "next": null,
    "previous": null,
    "results": [
        {
            "id": 194,
            "created_at": "2021-01-13T08:38:38Z",
            "updated_at": "2021-01-13T08:38:38Z",
            "name": "f1",
            "code": "f1",
            "is_deleted": false,
            "feature_type": "activation",
            "max_consumption": 0,
            "allow_overages": false,
            "max_overages": 0,
            "reset_consumption": false,
            "consumption_period": null,
            "metadata": {},
            "product": 1584723961091260
        },
        ...
    ]
}
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.licensespring.com/management-api/product/features/list-product-features.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
